package com.hp.user.service;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import com.alibaba.fastjson.JSONObject;
import com.hp.user.client.entity.ElectricianGroupVO;
import com.hp.user.client.entity.FuzzyQuery;
import com.hp.user.client.entity.PageQuery;
import com.hp.user.client.entity.PageResult;
import com.hp.user.client.service.ElectricianGroupService;
import com.hp.user.client.service.ElectricianService;

@SpringBootTest
@RunWith(SpringRunner.class)
public class ElectricianGroupTest {
	
	@Autowired
	private ElectricianGroupService electricianGroupService;
	
	@Autowired
	private ElectricianService electricianService;
	
	@Test
	public void queryElectricianGroupByQueyTest() {
		PageQuery query = new PageQuery();
//		List<FuzzyQuery> list = new ArrayList<>();
//		FuzzyQuery fuzzy = new FuzzyQuery();
//		fuzzy.setColumn("team_member_name");
//		fuzzy.setValue("ts");
//		list.add(fuzzy);
//		query.setFuzzyList(list);
		query.setPage(1);
		query.setSize(4);
		PageResult<ElectricianGroupVO> result = electricianGroupService.queryElectricianGroupByQuery(query);
		System.out.print(JSONObject.toJSONString(result));
	}
	
	@Test
	public void updateStatusBatch() {
		String[] ids = new String[]{"1334106189948010498","1334373867325583362"};
		Integer status = 0;
		electricianService.updateStatusBatch(ids, status);
		
	}

}
